#include "getkeyname.h"

const char *GetKeyName(SDLKey key) {
	switch (key) {
	case SDLK_BACKSPACE:	return "BS";
	case SDLK_TAB:		return "TAB";
	case SDLK_RETURN:	return "RETURN";
	case SDLK_PAUSE:	return "PAUSE";
	case SDLK_ESCAPE:	return "ESCAPE";
	case SDLK_SPACE:	return "SPACE";
	case SDLK_EXCLAIM:	return "!";
	case SDLK_QUOTEDBL:	return "\"";
	case SDLK_HASH:		return "#";
	case SDLK_DOLLAR:	return "$";
	case SDLK_AMPERSAND:	return "&";
	case SDLK_QUOTE:	return "'";
	case SDLK_LEFTPAREN:	return "(";
	case SDLK_RIGHTPAREN:	return ")";
	case SDLK_ASTERISK:	return "*";
	case SDLK_PLUS:		return "+";
	case SDLK_COMMA:	return ",";
	case SDLK_MINUS:	return "-";
	case SDLK_PERIOD:	return ".";
	case SDLK_SLASH:	return "/";
	case SDLK_0:		return "0";
	case SDLK_1:		return "1";
	case SDLK_2:		return "2";
	case SDLK_3:		return "3";
	case SDLK_4:		return "4";
	case SDLK_5:		return "5";
	case SDLK_6:		return "6";
	case SDLK_7:		return "7";
	case SDLK_8:		return "8";
	case SDLK_9:		return "9";
	case SDLK_COLON:	return ":";
	case SDLK_SEMICOLON:	return ";";
	case SDLK_LESS:		return "<";
	case SDLK_EQUALS:	return "=";
	case SDLK_GREATER:	return ">";
	case SDLK_QUESTION:	return "?";
	case SDLK_AT:		return "@";
	case SDLK_LEFTBRACKET:	return "[";
	case SDLK_RIGHTBRACKET:	return "]";
	case SDLK_CARET:	return "^";
	case SDLK_UNDERSCORE:	return "_";
	case SDLK_BACKQUOTE:	return "`";
	case SDLK_a:		return "A";
	case SDLK_b:		return "B";
	case SDLK_c:		return "C";
	case SDLK_d:		return "D";
	case SDLK_e:		return "E";
	case SDLK_f:		return "F";
	case SDLK_g:		return "G";
	case SDLK_h:		return "H";
	case SDLK_i:		return "I";
	case SDLK_j:		return "J";
	case SDLK_k:		return "K";
	case SDLK_l:		return "L";
	case SDLK_m:		return "M";
	case SDLK_n:		return "N";
	case SDLK_o:		return "O";
	case SDLK_p:		return "P";
	case SDLK_q:		return "Q";
	case SDLK_r:		return "R";
	case SDLK_s:		return "S";
	case SDLK_t:		return "T";
	case SDLK_u:		return "U";
	case SDLK_v:		return "V";
	case SDLK_w:		return "W";
	case SDLK_x:		return "X";
	case SDLK_y:		return "Y";
	case SDLK_z:		return "Z";
	case SDLK_DELETE:	return "DEL";
	case SDLK_KP0:		return "KP 0";
	case SDLK_KP1:		return "KP 1";
	case SDLK_KP2:		return "KP 2";
	case SDLK_KP3:		return "KP 3";
	case SDLK_KP4:		return "KP 4";
	case SDLK_KP5:		return "KP 5";
	case SDLK_KP6:		return "KP 6";
	case SDLK_KP7:		return "KP 7";
	case SDLK_KP8:		return "KP 8";
	case SDLK_KP9:		return "KP 9";
	case SDLK_KP_PERIOD:	return "KP .";
	case SDLK_KP_DIVIDE:	return "KP /";
	case SDLK_KP_MULTIPLY:	return "KP *";
	case SDLK_KP_MINUS:	return "KP -";
	case SDLK_KP_PLUS:	return "KP +";
	case SDLK_KP_ENTER:	return "KP ENT";
	case SDLK_KP_EQUALS:	return "KP =";
	case SDLK_UP:		return "UP";
	case SDLK_DOWN:		return "DOWN";
	case SDLK_LEFT:		return "LEFT";
	case SDLK_RIGHT:	return "RIGHT";
	case SDLK_INSERT:	return "INSERT";
	case SDLK_HOME:		return "HOME";
	case SDLK_END:		return "END";
	case SDLK_PAGEUP:	return "PGUP";
	case SDLK_PAGEDOWN:	return "PGDN";
	case SDLK_F1:		return "F1";
	case SDLK_F2:		return "F2";
	case SDLK_F3:		return "F3";
	case SDLK_F4:		return "F4";
	case SDLK_F5:		return "F5";
	case SDLK_F6:		return "F6";
	case SDLK_F7:		return "F7";
	case SDLK_F8:		return "F8";
	case SDLK_F9:		return "F9";
	case SDLK_F10:		return "F10";
	case SDLK_F11:		return "F11";
	case SDLK_F12:		return "F12";
	case SDLK_F13:		return "F13";
	case SDLK_F14:		return "F14";
	case SDLK_F15:		return "F15";
	case SDLK_NUMLOCK:	return "N LOCK";
	case SDLK_CAPSLOCK:	return "C LOCK";
	case SDLK_SCROLLOCK:	return "S LOCK";
	case SDLK_RSHIFT:	return "R SHIFT";
	case SDLK_LSHIFT:	return "L SHIFT";
	case SDLK_RCTRL:	return "R CTRL";
	case SDLK_LCTRL:	return "L CTRL";
	case SDLK_RALT:		return "R ALT";
	case SDLK_LALT:		return "L ALT";
	case SDLK_RMETA:	return "R META";
	case SDLK_LMETA:	return "L META";
	case SDLK_RSUPER:	return "R EXT";
	case SDLK_LSUPER:	return "L EXT";
	case SDLK_MODE:		return "MODE";
	case SDLK_HELP:		return "HELP";
	case SDLK_PRINT:	return "PRINT";
	case SDLK_SYSREQ:	return "SYSREQ";
	case SDLK_BREAK:	return "BREAK";
	case SDLK_MENU:		return "MENU";
	case SDLK_POWER:	return "POWER";
	case SDLK_EURO:		return "EURO";
	case SDLK_UNDO:		return "UNDO";
	case SDLK_COMPOSE:	return "COMP";

	default:
		return "other";
	}
}
